Bug 99728 - darwin8-gcc-4.0.0 does not recognize cflags used in sys-libs/com_err
|
Bug#:
99728
|
Product: Gentoo/Alt
|
Version: unspecified
|
Platform: PPC
|
|
OS/Version: OS X
|
Status: RESOLVED
|
Severity: normal
|
Priority: P2
|
|
Resolution: FIXED
|
Assigned To: base-system@gentoo.org
|
Reported By: gaber@gentoo.pl
|
|
Component: Mac OSX
|
|
|
URL:
|
|
Summary: darwin8-gcc-4.0.0 does not recognize cflags used in sys-libs/com_err
|
|
Keywords:
|
|
Status Whiteboard:
|
|
Opened: 2005-07-20 15:08 0000
|
[cut]
powerpc-apple-darwin8-gcc-4.0.0: unrecognized option '-shared'
/usr/bin/ld: unknown flag: -soname
collect2: ld returned 1 exit status
make: *** [libcom_err.so.2.1] Error 1
make: *** Waiting for unfinished jobs....
Reproducible: Always
Steps to Reproduce:
1.emerge com_err
Portage 2.0.51.22-r1 (default-darwin/macos/10.4, gcc-4.0.0, unavailable, 8.2.0 Power Macintosh)
============================================================
=====
System uname: 8.2.0 Power Macintosh powerpc
macos-20041118
distcc 2.0.1-zeroconf powerpc-apple-darwin7.0 (protocol 1) (default port 3632) [disabled]
dev-lang/python: [Not Present]
sys-apps/sandbox: [Not Present]
sys-devel/autoconf: [Not Present]
sys-devel/automake: [Not Present]
sys-devel/binutils: [Not Present]
sys-devel/libtool: [Not Present]
virtual/os-headers: [Not Present]
ACCEPT_KEYWORDS="ppc-macos ~ppc-macos"
AUTOCLEAN="yes"
CBUILD="powerpc-apple-darwin"
CFLAGS="-O2 -pipe"
CHOST="powerpc-apple-darwin"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/config /
var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig candy collision-protect digest distlocks sfperms strict userpriv"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/Linux/distributions/
gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/Users/gaber/work/gentoo"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="ppc emboss extras ipv6 macos ncurses nls ppc-macos utf8 userland_Darwin kernel_Darwin
elibc_Darwin"
Unset: ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS
Which ebuild and version???
*** Bug 99729 has been marked as a duplicate of this bug. ***
jakub: he said "Steps to Reproduce: \n emerge com_err"
(In reply to comment #1)
> Which ebuild and version???
Both.
Soulution:
--- /usr/portage/sys-libs/com_err/com_err-1.38.ebuild 2005-07-21 00:33:56.000000000 +0200
+++ com_err-1.38.ebuild 2005-07-21 00:47:16.000000000 +0200
@@ -31,14 +31,23 @@
}
src_compile() {
- econf \
+ if use ppc-macos; then
+ econf \
+ --with-ldopts="${LDFLAGS}" \
+ $(use_enable nls) \
+ || die
+ else
+ econf \
--enable-elf-shlibs \
--with-ldopts="${LDFLAGS}" \
$(use_enable nls) \
|| die
+ fi
+
emake -C lib/et || die
}
+
src_test() {
make -C lib/et check || die "make check failed"
}
'something' is a pretty key word here :p
added support for darwin with bsd/elf shlibs option in src_compile to com_err and ss
(In reply to comment #7)
> 'something' is a pretty key word here :p
>
> added support for darwin with bsd/elf shlibs option in src_compile to com_err and ss
Still getting:
...
GEN_ELF_SOLIB libcom_err.so.2.1
powerpc-apple-darwin8-gcc-4.0.0: unrecognized option `-shared'
/usr/bin/ld: unknown flag: -soname
collect2: ld returned 1 exit status
make: *** [libcom_err.so.2.1] Error 1
make: *** Waiting for unfinished jobs....
!!! ERROR: sys-libs/com_err-1.38 failed.
!!! Function src_compile, Line 42, Exitcode 2
With a fresh sync'd ebuild of com_err-1.38 on Tiger 10.4.
please check your CHOST setting in /etc/make.conf.
On Tiger systems it should be:
CHOST=powerpc-apple-darwin8
Created an attachment (id=68958) [details]
Darwin patch for com_err-1.38.ebuild 20050921
The ebuild has been changed since kito's last patch. Using this patch, which
is basically only the first and last hunk of kito's previous patch com_err
compiles and installs fine for me. The middle hunk is already dealt with
differently in the ebuild now.
I only have a collision protect issue for
existing file /usr/bin/compile_et is not owned by this package
FInally found it...apple ships /usr/bin/compile_et with Kerberos on 10.4...